/**
 * 
 * @author Chris GauthierDickey
 * 
 * This class takes simple words on the command line and translates characters into 'leet'. Running time is
 * O(n), where n is the number of characters in the input.
 */

public class LeetTranslator{

	/**
	 * @param args Takes the command line args
	 */
	public static void main(String[] args) {
		// Process the args one at a time
		char c;
		for (int i = 0; i < args.length; i++) {
			for (int j = 0; j < args[i].length(); j++) {
				c = args[i].charAt(j);
				switch (c) {
				  case 'I' :
				  case 'i' : System.out.print('1'); break;
				  case 'o' :
				  case 'O' : System.out.print('0'); break;
				  case 'a' :
				  case 'A' : System.out.print('4'); break;
				  case 'e' :
				  case 'E' : System.out.print('3'); break;
				  case 'm' : 
				  case 'M' : System.out.print("|\\/|"); break;
				  default: System.out.print(c);
				}
			}
			System.out.print(' ');
		}
		System.out.println();
	}
}
